org.jbpm.services.task.commands

## Class GetContentByIdCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<org.kie.api.task.model.Content>
  - - org.jbpm.services.task.commands.GetContentByIdCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.GenericCommand<org.kie.api.task.model.Content>, org.kie.api.command.Command<org.kie.api.task.model.Content>

      public class GetContentByIdCommand
      extends TaskCommand<org.kie.api.task.model.Content>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetContentByIdCommand()`
    `GetContentByIdCommand(Long contentId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.api.task.model.Content` | `execute(org.kie.internal.command.Context cntxt)`
    `Long` | `getContentId()`
    `void` | `setContentId(Long contentId)`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetContentByIdCommand

          public GetContentByIdCommand()

    - #### GetContentByIdCommand

          public GetContentByIdCommand(Long contentId)

  - ### Method Detail

    - #### getContentId

          public Long getContentId()

    - #### setContentId

          public void setContentId(Long contentId)

    - #### execute

          public org.kie.api.task.model.Content execute(org.kie.internal.command.Context cntxt)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.